%define pwlib_version 1.2.17
%define openh323_version 1.8.5

Summary:	H.323 basic gatekeeper
Name:		opengk
Version:	1.1.1
Release:	1mdk
License:	MPL
Group:		Communications
Source0:	http://www.openh323.org/bin/%{name}_%{version}.tar.bz2
Patch0:		%{name}-mak_files.patch.bz2
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel >= %{openh323_version} pwlib-devel >= %{pwlib_version}
Requires:	openh323_1 >= %{openh323_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is a very basic H.323 Gatekeeper.

Basic features
---------------
OpenGatekeeper supports all the basic features of an H.323 Gatekeeper such
as registration, admissions and access control, address translation and 
bandwidth monitoring and control.

Advanced features
-----------------
- Gatekeeper routed calls 
- Support of H.323v2 alias types 
  (party number, URL, transport id and email address) 
- Support for gateway prefixes 
- Registration and call activity logs 
- Neighbour gatekeeper database 
- Registration time to live 

%prep
%setup -qn %{name}
%patch0 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPENH323DIR=%{_prefix}; export OPENH323DIR
make  optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install obj_*/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%attr(755,root,root) %{_bindir}/*

%changelog
* Mon May 06 2002 Florin <florin@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 1.1.0-2mdk
- rebuild against the latest pwlib

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- udate the BuildRequires

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 1.0.1-5mdk
- recompile with the new pwlib1 and openh323_1

* Sat Oct 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-4mdk
- BuildRequires: pwlib-devel

* Wed Sep 12 2001 Florin <florin@mandrakesoft.com> 1.0.1-3mdk
- recompile with the new openh323_1

* Thu Aug 23 2001 Florin <florin@mandrakesoft.com> 1.0.1-2mdk
- better description

* Wed Aug 22 2001 Florin <florin@mandrakesoft.com> 1.0.1-1mdk
- new spec
